(*
 * Copyright (C) 2004 Damien Pous
 * 
 * This file is part of GcPan.
 * 
 * GcPan is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * GcPan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GcPan; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *)

(* Pretty printing of SA terms *)

open Ast
open GenComm
open Format

val format_string: ('a -> string) -> formatter -> 'a -> unit
val format_list:   (formatter -> 'a -> unit) -> formatter -> 'a list -> unit

val format_cap      : formatter -> cap       -> unit
val format_var      : formatter -> var       -> unit
val format_host     : formatter -> host      -> unit
val format_expr     : formatter -> expr      -> unit
val format_path     : formatter -> path      -> unit
val format_process  : formatter -> process   -> unit
val format_process_t: formatter -> process_t -> unit

val print_process:   process   -> unit
val print_process_t: process_t -> unit

