(*
 * Copyright (C) 2004 Damien Pous
 * 
 * This file is part of GcPan.
 * 
 * GcPan is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * GcPan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GcPan; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *)

(* Statistics for comparing PAN and GCPAN *)


(* low level counting of local/network messages *)
val local_message : unit -> unit
val net_message   : unit -> unit

(* high level counting of request, completion, and relocation messages *)
val request       : int * int -> unit
val completion    : unit -> unit
val relocation    : unit -> unit

(* created forwarders *)
val forwarder     : int  -> unit
(* created out forwarders *)
val out_forwarder : int  -> unit
(* garbaged collected forwarders *)
val gc_forwarder  : unit -> unit

(* SA rules triggered *)
val l_com         : unit -> unit
val l_in          : unit -> unit
val l_out         : unit -> unit
val l_open        : unit -> unit


(* reset all counters *)
val reset: unit -> unit


(* print statistics *)
val print: unit -> unit
