(*
 * Copyright (C) 2004 Damien Pous
 * 
 * This file is part of GcPan.
 * 
 * GcPan is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * GcPan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GcPan; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *)

(* Substitutions inside SA terms *)

open Ast

(* generic variables substitution *)
val names:  ?abs:bool -> string list -> path list -> process -> process
val names': ?abs:bool -> (string*path) list -> process -> process

(* single name substitution (lighter than the previous one...) *)
val name: string -> string -> process -> process

(* substitute a recursion variable by its value *)
val process: var -> process -> process -> process

(* substitute a recursion variable by its (single) value *)
val process_t: var -> process_t -> process -> process
