(*
 * Copyright (C) 2004 Damien Pous
 * 
 * This file is part of GcPan.
 * 
 * GcPan is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * GcPan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GcPan; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *)

(* Tools to collect/print a frozen view of the local net *)

val debug: ('a, unit, string, unit) format4 -> 'a

class type collector =
object
  method ambient: string -> string -> string -> unit
  method forwarder: string -> string -> unit
  method dead: unit
end

class type ops =
object
  method debug: unit

  method tree : Ast.process
  method ftree: Ast.process

  method print_tree : unit
  method print_ftree: unit
end

val collect: ([>`Debug | `Collect of collector] -> int) -> ops
